This discussion has been locked.
You can no longer post new replies to this discussion. If you have a question you can start a new discussion

Sage X3 Version 11 (June 2021)

Sage X3 Version 11: Latest patches

Patches provide the latest updates for enhancements, stability and performance of your system and are firmly recommended for all Sage Enterprise Management V11 customers.

This document lists the latest Sage X3 patches and Technology patches for Sage X3 V11.

V11 is in "Standard" phase Support.  The next phase is the "Extended" phase and will take effect 3rd January 2022  (see KB article Id 105518 "Sage X3 Lifecycle Policy" for more details)

For a new installation with the iso file, check if a zip file exists under the PATCH directory in the ISO file. If so, it is MANDATORY to install it after the installation of the version. Run the installation from the Updates function of the Syracuse server (Administration > Update > Updates

Sage X3 Patch                                 Filename
V11 Patch 11.0.20 SageX3_Minor_Update_Package_11.0.20.zip  See Note [1] 

NOTE: These latest technical components are only compatible with the latest X3 application patch listed above

Technology Components File Name
Syracuse 11.27.0  **Mandatory    See note [5] and [7]
SafeX3_Syracuse_11.27.zip
Runtime R081.004.811 **Mandatory SafeX3_Runtime_R081.004.811.zip
AdxAdmin 93.2.53 **Mandatory See note [6] adxadmin-93.2.53.jar.zip
MongoDB 4.2.8 **Mandatory Mongodb_4.2.8.zip
Elastic Search 7.9 See Note [4]
Production Scheduler  **
** For an upgrade, version 6.0.2014 installation is mandatory

For a New Installation of Production Scheduler, use "SafeX3ProductionScheduler-6.0.2014.zip"
When upgrading Production Scheduler, use "PlannerOne.SAGE.6.0.2014.zip "

Console 2.50.1 **Mandatory Console_2.50.1.zip
Print server 2.23.1 **Mandatory PrintServer_2.23.1.zip
VT Server  2.39.1.2 **Mandatory vt-web-server-2.39.1.2.jar.zip
Java Bridge Server (v223) **Deprecated safex3-javabridge-installer-2.23.2-win32-x86_64.jar

Compatibility

This table provides a summary of the compatible and recommended software components for the patchsets covered by the current Lifecycle Policy. (https://support.na.sage.com/selfservice/viewdocument.do?externalId=105518 )   Version combinations not listed below may not be technically viable.

NOTE: the Prerequisites Overview ( https://online-help.sageerpx3.com/erp/12/public/prerequisites_overview.html  ) and the appropriate patch readme documentation are the sources of truth for the correct versions to use.

Patch level

Runtime

AdxAdmin

Console

Print Server

VTWeb

Server

Syracuse

MongoDB

Elastic Search

20

81.004.811

 93.2.53

 2.50.1

 2.23.1

 2.39.1.2

 11.27.0*

4.2.8

7.9

 

 19

 

81.004.810

 93.2.53

 2.50.1

 2.23.1

 2.39.1.2

11.26.0*

4.2.8

7.9

 

18

 

81.004.809

 2.145.994

 2.49.0.28

2.22.0.9

2.38.10.6

11.26.0*

4.0.18

6.8

 

17

 

81.004.809

2.145.994

 2.49.0.28

2.22.0.9

2.38.10.6

11.26.0*

3.6.14

6.8

 

16

 

81.004.809

2.145.994

 2.49.0.28

2.22.0.9

2.38.10.6

11.26.0*

3.6.14

6.8

 

15

 

80.003

2.145.994

 2.49.0.28

2.22.0.9

2.38.10.6

11.26.0*

3.6.14

6.4

 * This Syracuse version includes the MTD update for July 2021.  See the MTD update alert for additional X3 application patch requirements

WARNINGS :

NOTES

[1] Please review the patch documentation, which you will find in the extracted ZIP file. You will find the installation instructions and the list of fixes. For further information on the fixes contained in all patches, including this patch, see our Patchfinder utility (note patch finder no longer has the update function, so with each new patch release, you will need to download a new release of patch finder that will be made available on the FTP Site).

[2] Sage UKI Customers and Business Partners can download all patches and documentation from the Sage X3 FTP site

[3] You can download the latest ISO images of the full installation media from our FTP site (See the https://ukienterprisedownloads.sage.co.uk/Support/SageX3/X3V11/ISO_Images/ directory)

[4] Sage strongly recommend you upgrade to the latest version of Elastic Search certified with Sage X3 V11  (Review http://online-help.sageerpx3.com/erp/12/public/prerequisites_overview.html for details).  The licensing of Elastic Search from v6.4 onwards has changed: Sage will not deliver the Elastic Search setup in future deliveries on our official media for on-premise Customers. Partners and customers will have to download the setup files when deploying Sage X3. You can download the latest version of Elastic Search that is certified with Sage X3 from www.elastic.co. Read the included documentation for further instructions and also refer to Sage KB article 99424 "How to upgrade Sage X3 to use Elastic Search v6.x"

[5] Review the guidelines discussed in the document "Node.js web server recommendations" to help you configure and tune Syracuse to meet your performance and stability needs

[6]  AdxAdmin is now the same across all X3 versions (PU9, V11 and V12)

[7] This Syracuse version includes the MTD update for July 2021.  See the MTD update alert for additional X3 application patch requirements